Get SO PO Output Types

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve complete List SO output types and PO output types.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/outputtype/{module}

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following details (in array):

  • Output Type
  • Output Type Description
  • Display Output Type

Request Parameters

To fetch output type list, provide the required field, which is the "Module" {module}. Pass value as either 'SO' or 'PO' in {module} to fetch the corresponding output type list.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/outputtype/{module}

Response

[
    {
        "name": "Sales Order",
        "output_type_details": [
            {
                "output_type": "Sales_Order",
                "output_type_desc": "Default Document",
                "display_output_type": "Sales Order"
            },
            {
                "output_type": "Grain_Sales_Contact",
                "output_type_desc": "Grain Sales Contact",
                "display_output_type": "Grain Sales Contact"
            },
            {
                "output_type": "Delivery_Docket",
                "output_type_desc": "DeliveryDocket",
                "display_output_type": "Delivery Docket"
            },
          
  	//Additional Output Type Details
]    

This example demonstrates a request to fetch the output type list. The response includes details in array such as the output type, output type description, display output type.

Path Params
string
required
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json